## net.sf.statcvs.pages
Class Page

    java.lang.Object
      net.sf.statcvs.pages.Page

All Implemented Interfaces:
  NavigationNode

    public class Page

extends java.lang.Object
implements NavigationNode

Constructor Summary
`Page(ReportConfig config, java.lang.String fileName, java.lang.String shortTitle, java.lang.String fullTitle)` Creates a new page.

Method Summary
`void` `add(ChartImage chart)`
`void` `add(ChartImage chart, java.lang.String linkURL)`
`void` `add(Directory directory, boolean withRootLinks)`
`void` `add(PageGroup pages)`
`void` `add(TableReport table)`
`void` `addAttribute(java.lang.String key, java.util.Date value)`
`void` `addAttribute(java.lang.String key, double value, int decimalPlaces)`
`void` `addAttribute(java.lang.String key, double value, int decimalPlaces, java.lang.String unit)`
`void` `addAttribute(java.lang.String key, int value)`
`void` `addAttribute(java.lang.String key, int value, java.lang.String unit)`
`void` `addAttribute(java.lang.String key, java.lang.String value)`
`void` `addChild(NavigationNode child)`
`void` `addLink(java.lang.String url, java.lang.String text)`
`void` `addRawAttribute(java.lang.String key, java.lang.String rawValue)`
`void` `addRawContent(java.lang.String s)`
`void` `addSection(java.lang.String title)`
`java.lang.String` `asParentLink()`
`java.lang.String` `getFullTitle()`
`java.lang.String` `getShortTitle()`
`java.lang.String` `getURL()`
`void` `setParent(NavigationNode parent)` Sets the page's parent.
`void` `setShowLinkToPreviousSibling(boolean showLink)`
`void` `setSiblings(java.lang.String siblingsTitle, java.util.List siblingPages)` Sets a list of `Page`s that are siblings of this page.
`void` `write()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Page

    public Page(ReportConfig config,
                java.lang.String fileName,
                java.lang.String shortTitle,
                java.lang.String fullTitle)

  Creates a new page.

  Parameters:
    `config` - The configuration to use
    `fileName` - File name for the page, without file extension
    `shortTitle` - A short navigation title
    `fullTitle` - A full headline title

Method Detail

### setParent

    public void setParent(NavigationNode parent)

  Description copied from interface: `NavigationNode`
  Sets the page's parent. The generated page will link back to the parent.

  Specified by:
    `setParent` in interface `NavigationNode`

### setSiblings

    public void setSiblings(java.lang.String siblingsTitle,
                            java.util.List siblingPages)

  Sets a list of `Page`s that are siblings of this page. The generated page will contain a navigation list that links to all siblings. The sibling list may contain the page itself.

  Specified by:
    `setSiblings` in interface `NavigationNode`
  Parameters:
    `siblingsTitle` - Title for navigation list, e.g. "Monthly Reports"
    `sibling` - A list of `Page`s

### addChild

    public void addChild(NavigationNode child)

### getURL

    public java.lang.String getURL()

  Specified by:
    `getURL` in interface `NavigationNode`

### getShortTitle

    public java.lang.String getShortTitle()

  Specified by:
    `getShortTitle` in interface `NavigationNode`

### getFullTitle

    public java.lang.String getFullTitle()

  Specified by:
    `getFullTitle` in interface `NavigationNode`

### setShowLinkToPreviousSibling

    public void setShowLinkToPreviousSibling(boolean showLink)

  Specified by:
    `setShowLinkToPreviousSibling` in interface `NavigationNode`

### addAttribute

    public void addAttribute(java.lang.String key,
                             int value)

### addAttribute

    public void addAttribute(java.lang.String key,
                             int value,
                             java.lang.String unit)

### addAttribute

    public void addAttribute(java.lang.String key,
                             java.util.Date value)

### addAttribute

    public void addAttribute(java.lang.String key,
                             java.lang.String value)

### addAttribute

    public void addAttribute(java.lang.String key,
                             double value,
                             int decimalPlaces)

### addAttribute

    public void addAttribute(java.lang.String key,
                             double value,
                             int decimalPlaces,
                             java.lang.String unit)

### addRawAttribute

    public void addRawAttribute(java.lang.String key,
                                java.lang.String rawValue)

### addRawContent

    public void addRawContent(java.lang.String s)

### addSection

    public void addSection(java.lang.String title)

### addLink

    public void addLink(java.lang.String url,
                        java.lang.String text)

### add

    public void add(ChartImage chart)

### add

    public void add(ChartImage chart,
                    java.lang.String linkURL)

### add

    public void add(TableReport table)

### add

    public void add(Directory directory,
                    boolean withRootLinks)

### add

    public void add(PageGroup pages)

### write

    public void write()

  Specified by:
    `write` in interface `NavigationNode`

### asParentLink

    public java.lang.String asParentLink()

  Specified by:
    `asParentLink` in interface `NavigationNode`